#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static library
%bcond_without	vala		# Vala API

Summary:	GUsb - GObject wrapper for libusb1 library
Summary(pl.UTF-8):	GUsb - obudowanie GObject biblioteki libusb1
Name:		libgusb
Version:	0.3.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
# Source0-md5:	3c178f1171f808785d6af971b1fdc50c
BuildRequires:	gcc >= 5:3.2
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gobject-introspection-devel >= 1.29
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libusb-devel >= 1.0.19
BuildRequires:	meson >= 0.37.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.16}
BuildRequires:	xz
Requires:	glib2 >= 1:2.44.0
Requires:	libusb >= 1.0.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop. This makes it easy to
integrate low level USB transfers with your high-level application or
system daemon.

%description -l pl.UTF-8
GUsb to obudowanie GObject biblioteki libusb1, ułatwiające
asynchroniczne sterowanie oraz przesyłanie danych (typu bulk jak i z
użyciem przerwań) z właściwym przerywaniem i integracją w głównej
pętli. Ułatwia to integrowanie niskopoziomowego przesyłania danych po
USB w wysokopoziomowej aplikacji lub demonie systemowym.

%package devel
Summary:	Header files for GUsb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GUsb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0
Requires:	libusb-devel >= 1.0.19

%description devel
Header files for GUsb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GUsb.

%package static
Summary:	Static GUsb library
Summary(pl.UTF-8):	Statyczna biblioteka GUsb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GUsb library.

%description static -l pl.UTF-8
Statyczna biblioteka GUsb.

%package apidocs
Summary:	GUsb API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GUsb
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for GUsb library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GUsb.

%package -n vala-libgusb
Summary:	Vala API for libgusb
Summary(pl.UTF-8):	API języka Vala do libgusb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libgusb
Vala API for libgusb.

%description -n vala-libgusb -l pl.UTF-8
API języka Vala do libgusb.

%prep
%setup -q

%if %{with static_libs}
%{__sed} -i -e 's/shared_library/library/' gusb/meson.build
%endif

%build
%meson build

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/gusbcmd
%attr(755,root,root) %{_libdir}/libgusb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgusb.so.2
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgusb.so
%{_includedir}/gusb-1
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_pkgconfigdir}/gusb.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgusb.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gusb
%endif

%if %{with vala}
%files -n vala-libgusb
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gusb.deps
%{_datadir}/vala/vapi/gusb.vapi
%endif
%changelog
* Sat Sep 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgusb.git;a=log;h=master

* Sat Sep 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 8fe0708
- updated to 0.3.0, build system changed to meson

* Mon Nov 20 2017 Jakub Bogusz <qboosh@pld-linux.org> c6fb2f4
- updated glib2 version

* Fri Nov 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 6550c3c
- up to 0.2.11

* Mon Apr 10 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3463884
- Update to 0.2.10

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> b4e7b80
- noarch apidocs

* Tue Mar 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 4d22d43
- updated to 0.2.9

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> b45f270
- noarch vala subpackage

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> cefd0c9
- updated to 0.2.8

* Thu Oct 08 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 0f81575
- Update to 0.2.7

* Wed Jul 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 822a861
- updated to 0.2.6

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 0b82078
- updated to 0.2.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 00bf1cc
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 13 2015 Jakub Bogusz <qboosh@pld-linux.org> f3b7efc
- updated to 0.2.4

* Fri Dec 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 6414d9e
- updated to 0.2.3 (bugfix)

* Sun Nov 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 98f689e
- updated to 0.2.2

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 73aece3
- updated to 0.2.0
- now it uses libusb hotplugging support instead of using udev directly

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> e6801ec
- updated to 0.1.6

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 77f58d3
- updated to 0.1.5

* Fri Nov 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c72b7a
- updated to 0.1.4 (introduces GObject and Vala bindings)

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 7ba4ab3
- updated to 0.1.3

